aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/%HOME%/.bash_utils/distr.sh
diff options
context:
space:
mode:
Diffstat (limited to '%HOME%/.bash_utils/distr.sh')
-rw-r--r--%HOME%/.bash_utils/distr.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/%HOME%/.bash_utils/distr.sh b/%HOME%/.bash_utils/distr.sh
index ff32c0a..810783e 100644
--- a/%HOME%/.bash_utils/distr.sh
+++ b/%HOME%/.bash_utils/distr.sh
@@ -9,10 +9,13 @@ sums_path='sha1sums.txt'
sums_name="$( basename -- "$sums_path" )"
sums_unescape_path() {
+ set -o errexit -o nounset -o pipefail
+
if [ "$#" -ne 1 ]; then
echo "usage: ${FUNCNAME[0]} PATH" >&2
return 1
fi
+
local path="$1"
path="${path//'\\'/$'\\'}"
path="${path//'\n'/$'\n'}"